Subject: Re: MSVCRT/threads
From: [email-masked] (Bart Anderson)

20 Oct 1998 09:31:39 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Mumit Khan <[email-masked]>
Cc: [email-masked]

Mumit,
Does this invalidate Colin's reply to the same message, or is this the
preferred method?

Mumit Khan wrote:
> 
> Darren Cook <[email-masked]> writes:
> > I've installed EGCS 1.1 for i386-mingw32. My question is how do I tell the
> > linker I'm using MSVCRT.DLL? I checked the FAQ and mailing list archives.
> > I've included more details below. Thanks in advance for any suggestions,
> 
> You can't just do that I'm afraid. You need to do a few more things:
> 
>   - rebuild the target libraries and startup files (crt*) with __MSVCRT__
>     defined. That includes crt1.o, dllcrt1.o, libmingw32.a, libmoldname.a,
>     libiberty.a, and libstdc++.a. Possibly a few more I've missed here.
> 
>   - fix up the specs files to add __MSVCRT__ to the predefines (or do it
>     explicitly when you invoke the compiler).
> 
>   - you must recompile *everything* with __MSVCRT__ defined.
> 
> If I still have these on my disk, I'll upload them so you can just grab
> and use.
> 
> Regards,
> Mumit
> 
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".